﻿/*
 * Copyright (c) 2011 Achim 'ahzf' Friedland <achim@ahzf.de>
 * This file is part of graph-database.org <http://www.github.com/Fellmann/graph-database.org>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * You may obtain a copy of the License at
 *     http://www.gnu.org/licenses/gpl.html
 *     
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 */

#region Usings

using System;
using System.Collections.Generic;

using de.ahzf.Blueprints.PropertyGraphs;

#endregion

namespace de.ahzf.fellmann.REST
{

    public interface IGraphServer
    {
        
        void AddToIndex(IPropertyVertex<UInt64, Int64, String, String, Object,
                                        UInt64, Int64, String, String, Object,
                                        UInt64, Int64, String, String, Object,
                                        UInt64, Int64, String, String, Object> Vertex);
        
        IEnumerable<GraphDBInfo> AllGraphDBs();
        
        String DefaultServerName { get; }

        IEnumerable<IPropertyVertex<UInt64, Int64, String, String, Object,
                                    UInt64, Int64, String, String, Object,
                                    UInt64, Int64, String, String, Object,
                                    UInt64, Int64, String, String, Object>> Vertices();

    }

}
